/*
wijit ChatDlg.h: function declarations for the chat dialog, 
and CChatDlg class definition.
Copyright (C) 1999-2000 Keith Minkler <tsbandit@jabber.org>

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

You can reach The author at tsbandit@jabber.org (email or jid)
*/
#if !defined(AFX_CHATDLG_H__A63D65D1_3E5C_11D4_8E43_00C04F6B1F5B__INCLUDED_)
#define AFX_CHATDLG_H__A63D65D1_3E5C_11D4_8E43_00C04F6B1F5B__INCLUDED_

#include "jabberoo.hh"
using namespace jabberoo;

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ChatDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CChatDlg dialog

class CChatDlg : public CDialog, public SigC::Object
{
// Construction
public:
	void AddMRU(CString jid);
	void DisplayMRU(void);
	Session * _session;
	CString _From;
	void OnMessage(const Message &m);
	CChatDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CChatDlg)
	enum { IDD = IDD_MESSAGE };
	CComboBox	m_UserList;
	CString	m_AllText;
	CString	m_NewText;
	CString	m_To;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CChatDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CChatDlg)
	afx_msg void OnCloseupUser();
	virtual void OnOK();
	afx_msg void OnClose();
	afx_msg void OnCancelMode();
	afx_msg void OnEditchangeUser();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CHATDLG_H__A63D65D1_3E5C_11D4_8E43_00C04F6B1F5B__INCLUDED_)
